Subject: Re: [nfsv4] Working Group Last Call start for NFS RDMA I-Ds

From: Mike Eisler <[email-masked]>
Date: Mon, 11 Sep 2006 09:45:32 -0700 (PDT)

> RDMA Transport for ONC RPC
> http://www.ietf.org/internet-drafts/draft-ietf-nfsv4-rpcrdma-03.txt

It isn't explicit, but I gather than even if connection-oriented
RDMA is used under RPC that the ONC RPC protocol called
"Record Marking" is not used. Either way, this should be
explicit.

If Record Marking is not used in RPC over RDMA, there should
a discussion about how RPC should deal with transports that
support both connection-oriented
non-RDMA and RDMA modes. When in non-RDMA
mode, the connection oriented transport must use record marking.
And in RDMA mode it must not. What if there is an incomplete
record in in the process of being sent during non-RDMA mode
and the transport switches to RDMA mode. The converse might
be an issue to.

> NFS Direct Data Placement
> http://www.ietf.org/internet-drafts/draft-ietf-nfsv4-nfsdirect-03.txt
> 
> 
> The NFS RDMA Problem Statement is targeted as an Information RFC.
> The other two are standards track.
> 
> 
> Given the level of activity around NFSv4.1 at the moment.  I would
> like to provide for a longer review cycle.  We will end the 
> working group last call on September 29, 2006.
> 
> Please direct comments on these documents to the [email-masked]
> alias.
> 
> Spencer
> 
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nfsv4
> 

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4